package com.logicbig.example;

import org.slf4j.bridge.SLF4JBridgeHandler;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

import java.util.logging.LogManager;

@SpringBootApplication
public class ExampleMain {
    public static void main(String[] args) throws InterruptedException {
        ConfigurableApplicationContext context =
                SpringApplication.run(ExampleMain.class, args);

        //MyBean using SLF4J API
        MyBean bean = context.getBean(MyBean.class);
        bean.doSomething();

        ///installing JUL bridge
        LogManager.getLogManager().reset();
        SLF4JBridgeHandler.install();
        //MyBean2 using JUL API
        MyBean2 bean2 = context.getBean(MyBean2.class);
        bean2.doSomething();
    }
}